import socket
import time
from datetime import datetime
import pandas as pd
import os

ip = "0.0.0.0" # Listen to all channels
port = 5005 # Should match .ino

time.sleep (5)

Data_to_influx = pd.DataFrame ({"Date": [], "Time": [], "Temperature": []})

with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
    s.bind((ip, port))
    s.listen()
    print(f"Listening")
    while True:
        conn, addr = s.accept()
        with conn:
            data = conn.recv(1024)
            if data:
                print(f"Received from {addr} at {datetime.now()}: {data.decode()}")

